CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-4725

The MailPoet Newsletters (wysija-newsletters) plugin before 2.6.7 for WordPress allows remote attackers to bypass authentication and execute arbitrary PHP code by uploading a crafted theme using wp-admin/admin-post.php and accessing the theme in wp-content/uploads/wysija/themes/mailp/.
Publish Date : 2014-07-27 Last Update Date : 2014-07-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeBypass a restriction or similar
CWE ID 287

- Products Affected By CVE-2014-4725

# Product Type Vendor Product Version Update Edition Language
1 Application Mailpoet Mailpoet Newsletters 0.9 ~~~wordpress~~ Version Details Vulnerabilities
2 Application Mailpoet Mailpoet Newsletters 0.9.1 ~~~wordpress~~ Version Details Vulnerabilities
3 Application Mailpoet Mailpoet Newsletters 0.9.2 ~~~wordpress~~ Version Details Vulnerabilities
4 Application Mailpoet Mailpoet Newsletters 0.9.6 ~~~wordpress~~ Version Details Vulnerabilities
5 Application Mailpoet Mailpoet Newsletters 1.0 ~~~wordpress~~ Version Details Vulnerabilities
6 Application Mailpoet Mailpoet Newsletters 1.0.1 ~~~wordpress~~ Version Details Vulnerabilities
7 Application Mailpoet Mailpoet Newsletters 1.1 ~~~wordpress~~ Version Details Vulnerabilities
8 Application Mailpoet Mailpoet Newsletters 1.1.1 ~~~wordpress~~ Version Details Vulnerabilities
9 Application Mailpoet Mailpoet Newsletters 1.1.2 ~~~wordpress~~ Version Details Vulnerabilities
10 Application Mailpoet Mailpoet Newsletters 1.1.3 ~~~wordpress~~ Version Details Vulnerabilities
11 Application Mailpoet Mailpoet Newsletters 1.1.4 ~~~wordpress~~ Version Details Vulnerabilities
12 Application Mailpoet Mailpoet Newsletters 1.1.5 ~~~wordpress~~ Version Details Vulnerabilities
13 Application Mailpoet Mailpoet Newsletters 2.0 ~~~wordpress~~ Version Details Vulnerabilities
14 Application Mailpoet Mailpoet Newsletters 2.0.1 ~~~wordpress~~ Version Details Vulnerabilities
15 Application Mailpoet Mailpoet Newsletters 2.0.2 ~~~wordpress~~ Version Details Vulnerabilities
16 Application Mailpoet Mailpoet Newsletters 2.0.3 ~~~wordpress~~ Version Details Vulnerabilities
17 Application Mailpoet Mailpoet Newsletters 2.0.4 ~~~wordpress~~ Version Details Vulnerabilities
18 Application Mailpoet Mailpoet Newsletters 2.0.5 ~~~wordpress~~ Version Details Vulnerabilities
19 Application Mailpoet Mailpoet Newsletters 2.0.6 ~~~wordpress~~ Version Details Vulnerabilities
20 Application Mailpoet Mailpoet Newsletters 2.0.7 ~~~wordpress~~ Version Details Vulnerabilities
21 Application Mailpoet Mailpoet Newsletters 2.0.8 ~~~wordpress~~ Version Details Vulnerabilities
22 Application Mailpoet Mailpoet Newsletters 2.0.9 ~~~wordpress~~ Version Details Vulnerabilities
23 Application Mailpoet Mailpoet Newsletters 2.0.9.5 ~~~wordpress~~ Version Details Vulnerabilities
24 Application Mailpoet Mailpoet Newsletters 2.1 ~~~wordpress~~ Version Details Vulnerabilities
25 Application Mailpoet Mailpoet Newsletters 2.1.1 ~~~wordpress~~ Version Details Vulnerabilities
26 Application Mailpoet Mailpoet Newsletters 2.1.2 ~~~wordpress~~ Version Details Vulnerabilities
27 Application Mailpoet Mailpoet Newsletters 2.1.3 ~~~wordpress~~ Version Details Vulnerabilities
28 Application Mailpoet Mailpoet Newsletters 2.1.4 ~~~wordpress~~ Version Details Vulnerabilities
29 Application Mailpoet Mailpoet Newsletters 2.1.5 ~~~wordpress~~ Version Details Vulnerabilities
30 Application Mailpoet Mailpoet Newsletters 2.1.6 ~~~wordpress~~ Version Details Vulnerabilities
31 Application Mailpoet Mailpoet Newsletters 2.1.7 ~~~wordpress~~ Version Details Vulnerabilities
32 Application Mailpoet Mailpoet Newsletters 2.1.8 ~~~wordpress~~ Version Details Vulnerabilities
33 Application Mailpoet Mailpoet Newsletters 2.1.9 ~~~wordpress~~ Version Details Vulnerabilities
34 Application Mailpoet Mailpoet Newsletters 2.2 ~~~wordpress~~ Version Details Vulnerabilities
35 Application Mailpoet Mailpoet Newsletters 2.2.1 ~~~wordpress~~ Version Details Vulnerabilities
36 Application Mailpoet Mailpoet Newsletters 2.2.2 ~~~wordpress~~ Version Details Vulnerabilities
37 Application Mailpoet Mailpoet Newsletters 2.2.3 ~~~wordpress~~ Version Details Vulnerabilities
38 Application Mailpoet Mailpoet Newsletters 2.3 ~~~wordpress~~ Version Details Vulnerabilities
39 Application Mailpoet Mailpoet Newsletters 2.3.1 ~~~wordpress~~ Version Details Vulnerabilities
40 Application Mailpoet Mailpoet Newsletters 2.3.2 ~~~wordpress~~ Version Details Vulnerabilities
41 Application Mailpoet Mailpoet Newsletters 2.3.3 ~~~wordpress~~ Version Details Vulnerabilities
42 Application Mailpoet Mailpoet Newsletters 2.3.4 ~~~wordpress~~ Version Details Vulnerabilities
43 Application Mailpoet Mailpoet Newsletters 2.3.5 ~~~wordpress~~ Version Details Vulnerabilities
44 Application Mailpoet Mailpoet Newsletters 2.4 ~~~wordpress~~ Version Details Vulnerabilities
45 Application Mailpoet Mailpoet Newsletters 2.4.1 ~~~wordpress~~ Version Details Vulnerabilities
46 Application Mailpoet Mailpoet Newsletters 2.4.2 ~~~wordpress~~ Version Details Vulnerabilities
47 Application Mailpoet Mailpoet Newsletters 2.4.3 ~~~wordpress~~ Version Details Vulnerabilities
48 Application Mailpoet Mailpoet Newsletters 2.4.4 ~~~wordpress~~ Version Details Vulnerabilities
49 Application Mailpoet Mailpoet Newsletters 2.5 ~~~wordpress~~ Version Details Vulnerabilities
50 Application Mailpoet Mailpoet Newsletters 2.5.1 ~~~wordpress~~ Version Details Vulnerabilities
51 Application Mailpoet Mailpoet Newsletters 2.5.2 ~~~wordpress~~ Version Details Vulnerabilities
52 Application Mailpoet Mailpoet Newsletters 2.5.3 ~~~wordpress~~ Version Details Vulnerabilities
53 Application Mailpoet Mailpoet Newsletters 2.5.4 ~~~wordpress~~ Version Details Vulnerabilities
54 Application Mailpoet Mailpoet Newsletters 2.5.5 ~~~wordpress~~ Version Details Vulnerabilities
55 Application Mailpoet Mailpoet Newsletters 2.5.7 ~~~wordpress~~ Version Details Vulnerabilities
56 Application Mailpoet Mailpoet Newsletters 2.5.8 ~~~wordpress~~ Version Details Vulnerabilities
57 Application Mailpoet Mailpoet Newsletters 2.5.9 ~~~wordpress~~ Version Details Vulnerabilities
58 Application Mailpoet Mailpoet Newsletters 2.5.9.1 ~~~wordpress~~ Version Details Vulnerabilities
59 Application Mailpoet Mailpoet Newsletters 2.5.9.2 ~~~wordpress~~ Version Details Vulnerabilities
60 Application Mailpoet Mailpoet Newsletters 2.5.9.3 ~~~wordpress~~ Version Details Vulnerabilities
61 Application Mailpoet Mailpoet Newsletters 2.5.9.4 ~~~wordpress~~ Version Details Vulnerabilities
62 Application Mailpoet Mailpoet Newsletters 2.6 Beta ~~~wordpress~~ Version Details Vulnerabilities
63 Application Mailpoet Mailpoet Newsletters 2.6 ~~~wordpress~~ Version Details Vulnerabilities
64 Application Mailpoet Mailpoet Newsletters 2.6.1 ~~~wordpress~~ Version Details Vulnerabilities
65 Application Mailpoet Mailpoet Newsletters 2.6.2 ~~~wordpress~~ Version Details Vulnerabilities
66 Application Mailpoet Mailpoet Newsletters 2.6.3 ~~~wordpress~~ Version Details Vulnerabilities
67 Application Mailpoet Mailpoet Newsletters 2.6.4 ~~~wordpress~~ Version Details Vulnerabilities
68 Application Mailpoet Mailpoet Newsletters 2.6.5 ~~~wordpress~~ Version Details Vulnerabilities
69 Application Mailpoet Mailpoet Newsletters 2.6.6 ~~~wordpress~~ Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Mailpoet Mailpoet Newsletters 69

- References For CVE-2014-4725

https://wordpress.org/plugins/wysija-newsletters/changelog/ CONFIRM
http://arstechnica.com/security/2014/07/mass-exploit-of-wordpress-plugin-backdoors-sites-running-joomla-magento-too/
http://blog.sucuri.net/2014/07/mailpoet-vulnerability-exploited-in-the-wild-breaking-thousands-of-wordpress-sites.html
http://blog.sucuri.net/2014/07/malware-infection-breaking-wordpress-sites.html
http://blog.sucuri.net/2014/07/remote-file-upload-vulnerability-on-mailpoet-wysija-newsletters.html
http://www.openwall.com/lists/oss-security/2014/07/08/7
MLIST [oss-security] 20140708 Re: CVE request: WordPress plugin wysija-newsletters remote file upload

- Metasploit Modules Related To CVE-2014-4725

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.